<?php
/********************************************************
* Adk Rules Posts             
* Version: 1.0
* Official support: http://www.smfpersonal.net           
* Author: ^Heracles^
* 2011
/**********************************************************/
if (!defined('SMF'))
	die('Hacking attempt...');

function ADKrp_Settings(&$admin_areas)
{
	global $txt;
	loadLanguage('AdkRulesPosts');
	$admin_areas['config']['areas']['ADKrp'] = array(
		'label' => $txt['ADKrp_name'],
		'file' => 'AdkRulesPosts.php',
		'function' => 'AddADKrpSettings',
		'icon' => 'themes.gif',	
		'subsections' => array(
			'AdkRulesPosts' => array($txt['ADKrp_name']),
		),
	);
}

function AddADKrpSettings($return_config = false)
{
	global $txt, $scripturl, $context, $sourcedir;
	require_once($sourcedir . '/ManageSettings.php');
	$context['page_title'] = $txt['ADKrp_name'];
	$subActions = array(
		'AdkRulesPosts' => 'AdkRulesPosts',
	);

	loadGeneralSettingParameters($subActions, 'AdkRulesPosts');

	$context[$context['admin_menu_name']]['tab_data'] = array(
		'title' => $txt['ADKrp_name'],
		'description' => $txt['ADKrp_desc'],
		'tabs' => array(
			'AdkRulesPosts' => array(
			),
		),
	);

	call_user_func($subActions[$_REQUEST['sa']]);
}

function AdkRulesPosts($return_config = false)
{
	global $context, $sourcedir, $txt, $scripturl, $modSettings, $settings;
	require_once($sourcedir . '/ManageServer.php');
	loadLanguage('AdkRulesPosts');
	
	$config_vars = array(
		array('check', 'ADKrp_Act'),
		array('permissions', 'ADKrp_permissions', 'subtext' => $txt['ADKrp_permissions_sub']),
		array('text', 'ADKrp_foros', '30', 'subtext' => $txt['ADKrp_foros_sub']),
		array(
		'select', 
		'ADKrp_styles', 
			array(
				'Default' => $txt['ADKrp_styDefault'],
				'Blanco' => $txt['ADKrp_styBlanco'],
				'Negro' => $txt['ADKrp_styNegro'],
				'Marron' => $txt['ADKrp_styMarron'],
				'Azul' => $txt['ADKrp_styAzul'],
				'Celeste' => $txt['ADKrp_styCeleste'],
				'Turquesa' => $txt['ADKrp_styTurquesa'],
			)
		),
		'',
		array('text', 'ADKrp_title', '30', 'subtext' => $txt['ADKrp_title_sub']),
		array(
		'select', 
		'ADKrp_Sel', 
			array(
				'ADKrp_Def' => $txt['ADKrp_Def'],
				'ADKrp_Per' => $txt['ADKrp_Per'],
			)
		),
		'',
		array('text', 'ADKrp_imagen', '40', 'subtext' => $txt['ADKrp_imagen_sub']),
		'',
		array('text', 'ADKrp_mensaje1', '40'),
		array(
		'select', 
		'ADKrp_icono1', 
			array(
				'si' => $txt['ADKrp_icon1'],
				'no' => $txt['ADKrp_icon2'],
				'black' => $txt['ADKrp_icon3'],
				'blue' => $txt['ADKrp_icon4'],
				'purple' => $txt['ADKrp_icon5'],
				'red' => $txt['ADKrp_icon6'],
				'pink' => $txt['ADKrp_icon7'],
			)
		),
		array('text', 'ADKrp_mensaje2', '40'),
		array(
		'select', 
		'ADKrp_icono2', 
			array(
				'si' => $txt['ADKrp_icon1'],
				'no' => $txt['ADKrp_icon2'],
				'black' => $txt['ADKrp_icon3'],
				'blue' => $txt['ADKrp_icon4'],
				'purple' => $txt['ADKrp_icon5'],
				'red' => $txt['ADKrp_icon6'],
				'pink' => $txt['ADKrp_icon7'],
			)
		),
		array('text', 'ADKrp_mensaje3', '40'),
		array(
		'select', 
		'ADKrp_icono3', 
			array(
				'si' => $txt['ADKrp_icon1'],
				'no' => $txt['ADKrp_icon2'],
				'black' => $txt['ADKrp_icon3'],
				'blue' => $txt['ADKrp_icon4'],
				'purple' => $txt['ADKrp_icon5'],
				'red' => $txt['ADKrp_icon6'],
				'pink' => $txt['ADKrp_icon7'],
			)
		),
		array('text', 'ADKrp_mensaje4', '40'),
		array(
		'select', 
		'ADKrp_icono4', 
			array(
				'si' => $txt['ADKrp_icon1'],
				'no' => $txt['ADKrp_icon2'],
				'black' => $txt['ADKrp_icon3'],
				'blue' => $txt['ADKrp_icon4'],
				'purple' => $txt['ADKrp_icon5'],
				'red' => $txt['ADKrp_icon6'],
				'pink' => $txt['ADKrp_icon7'],
			)
		),
		array('text', 'ADKrp_mensaje5', '40'),
		array(
		'select', 
		'ADKrp_icono5', 
			array(
				'si' => $txt['ADKrp_icon1'],
				'no' => $txt['ADKrp_icon2'],
				'black' => $txt['ADKrp_icon3'],
				'blue' => $txt['ADKrp_icon4'],
				'purple' => $txt['ADKrp_icon5'],
				'red' => $txt['ADKrp_icon6'],
				'pink' => $txt['ADKrp_icon7'],
			)
		),
		array('text', 'ADKrp_mensaje6', '40'),
		array(
		'select', 
		'ADKrp_icono6', 
			array(
				'si' => $txt['ADKrp_icon1'],
				'no' => $txt['ADKrp_icon2'],
				'black' => $txt['ADKrp_icon3'],
				'blue' => $txt['ADKrp_icon4'],
				'purple' => $txt['ADKrp_icon5'],
				'red' => $txt['ADKrp_icon6'],
				'pink' => $txt['ADKrp_icon7'],
			)
		),
		array('text', 'ADKrp_mensaje7', '40'),
		array(
		'select', 
		'ADKrp_icono7', 
			array(
				'si' => $txt['ADKrp_icon1'],
				'no' => $txt['ADKrp_icon2'],
				'black' => $txt['ADKrp_icon3'],
				'blue' => $txt['ADKrp_icon4'],
				'purple' => $txt['ADKrp_icon5'],
				'red' => $txt['ADKrp_icon6'],
				'pink' => $txt['ADKrp_icon7'],
			)
		),
	);

	if ($return_config)
		return $config_vars;

	$context['post_url'] = $scripturl . '?action=admin;area=ADKrp;sa=AdkRulesPosts;save';
	$context['page_title'] = $txt['ADKrp_name'];
	$context['settings_insert_below'] = $txt['ADKrpdonate'];		

	if (isset($_GET['save'])){
	
		checkSession();
		saveDBSettings($config_vars);
		redirectexit('action=admin;area=ADKrp;sa=AdkRulesPosts');
	}

	prepareDBSettingContext($config_vars);
}

function ADKrp()
{
	global $smcFunc, $modSettings, $scripturl, $txt, $context, $board, $settings;
	loadLanguage('AdkRulesPosts');

	if (!empty($modSettings['ADKrp_foros']))
		$array = explode(',',trim($modSettings['ADKrp_foros']));
	else
		$array = '';

	if ((empty($array)) || (in_array($board,$array)))	{
		if ($context['page_title'] == $txt['start_new_topic']) {
			if (empty($modSettings['ADKrp_title'])) {
				echo '
					<div class="Adkrp_',!empty($modSettings['ADKrp_styles']) ? $modSettings['ADKrp_styles'] : 'Default','">
						<div class="Title">
							'.$txt['No_Title'].'
						</div>
					</div>
				';
			}
			else {
				echo '
					<div class="Adkrp_',!empty($modSettings['ADKrp_styles']) ? $modSettings['ADKrp_styles'] : 'Default','">
						<div class="Title">
							'.$modSettings['ADKrp_title'].'
						</div>
						<br />';

						if (((!empty($modSettings['ADKrp_Sel'])) && ($modSettings['ADKrp_Sel'] == 'ADKrp_Def')) 
						 && ((!empty($modSettings['ADKrp_mensaje1'])) || (!empty($modSettings['ADKrp_mensaje2'])) || (!empty($modSettings['ADKrp_mensaje3'])) || (!empty($modSettings['ADKrp_mensaje4'])) 
						  || (!empty($modSettings['ADKrp_mensaje5'])) || (!empty($modSettings['ADKrp_mensaje6'])) || (!empty($modSettings['ADKrp_mensaje7'])))) {
							echo '
								<ul>
									'.(!empty($modSettings['ADKrp_mensaje1']) ? '<li><img src="'.$settings['default_theme_url'].'/images/ADKrp/'.( !empty($modSettings['ADKrp_icono1']) ? $modSettings['ADKrp_icono1'] : 'si' ).'.png" alt="*" /> '.$modSettings['ADKrp_mensaje1'].'</li>' : '').'
									'.(!empty($modSettings['ADKrp_mensaje2']) ? '<li><img src="'.$settings['default_theme_url'].'/images/ADKrp/'.( !empty($modSettings['ADKrp_icono2']) ? $modSettings['ADKrp_icono2'] : 'si' ).'.png" alt="*" /> '.$modSettings['ADKrp_mensaje2'].'</li>' : '').'
									'.(!empty($modSettings['ADKrp_mensaje3']) ? '<li><img src="'.$settings['default_theme_url'].'/images/ADKrp/'.( !empty($modSettings['ADKrp_icono3']) ? $modSettings['ADKrp_icono3'] : 'si' ).'.png" alt="*" /> '.$modSettings['ADKrp_mensaje3'].'</li>' : '').'
									'.(!empty($modSettings['ADKrp_mensaje4']) ? '<li><img src="'.$settings['default_theme_url'].'/images/ADKrp/'.( !empty($modSettings['ADKrp_icono4']) ? $modSettings['ADKrp_icono4'] : 'si' ).'.png" alt="*" /> '.$modSettings['ADKrp_mensaje4'].'</li>' : '').'
									'.(!empty($modSettings['ADKrp_mensaje5']) ? '<li><img src="'.$settings['default_theme_url'].'/images/ADKrp/'.( !empty($modSettings['ADKrp_icono5']) ? $modSettings['ADKrp_icono5'] : 'si' ).'.png" alt="*" /> '.$modSettings['ADKrp_mensaje5'].'</li>' : '').'
									'.(!empty($modSettings['ADKrp_mensaje6']) ? '<li><img src="'.$settings['default_theme_url'].'/images/ADKrp/'.( !empty($modSettings['ADKrp_icono6']) ? $modSettings['ADKrp_icono6'] : 'si' ).'.png" alt="*" /> '.$modSettings['ADKrp_mensaje6'].'</li>' : '').'
									'.(!empty($modSettings['ADKrp_mensaje7']) ? '<li><img src="'.$settings['default_theme_url'].'/images/ADKrp/'.( !empty($modSettings['ADKrp_icono7']) ? $modSettings['ADKrp_icono7'] : 'si' ).'.png" alt="*" /> '.$modSettings['ADKrp_mensaje7'].'</li>' : '').'
								</ul>
							';
						}
						elseif (((!empty($modSettings['ADKrp_Sel'])) && ($modSettings['ADKrp_Sel'] == 'ADKrp_Per')) && (!empty($modSettings['ADKrp_imagen']))){
							echo '
								<div class="Imagen">
									<img src="'.$modSettings['ADKrp_imagen'].'" alt="*" />
								</div>
							';
						}
						else {
							echo '
								<div class="No_mensaje">
									'.$txt['No_mensaje'].'
								</div>
							';
						}
				echo '
					</div>
				';
			}
		}
	}
}

?>